Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-7867

Node is not correctly installed by 4.4.0 windows installer on a win machine with no node

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: Release 4.4.0
    • Fix Version/s: Release 4.4.0
    • Component/s: Installer
    • Labels:
      None
    • Environment:

      Environment:
      Appc Studio : 4.4.0.201511130407
      Ti SDK : 5.1.0.v20151116164430
      Ti CLI : 5.0.5
      Alloy : 1.7.26
      Windows: 8 64 bit
      Appc NPM : 4.2.1
      Appc CLI : 5.1.0-60
      Node: v0.10.37

    • Story Points:
      5
    • Sprint:
      2015 Sprint 23 Tooling

      Description

      Steps To Reproduce:

      NOTE: Make sure you do not have node & appcelerator studio installed on your win machine.
      1. Download the installer for studio 4.4.0.201511130407.
      2. Run the installer.
      3. The installer will download the node installer & start the installation.
      4. After the node installation observe the error.

      Actual Results:

      1. We see error "Node.js mandatory prerequisite was not correctly installed".

      Expected Results:

      1. We should not see any error & the node installation should be successful.

        Attachments

          Activity

            People

            • Assignee:
              pinnamuri Praveen Innamuri (Inactive)
              Reporter:
              lchoudhary Lokesh Choudhary
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: